- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QSslCipher Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qsslcipher.h.

`#include <qsslcipher.h>`

List of all members.

## Public Member Functions
| QSslCipher ()
| QSslCipher (const QString &name, QSsl::SslProtocol protocol)
| QSslCipher (const QSslCipher &other)
| ~QSslCipher ()
QSslCipher & | operator= (const QSslCipher &other)
bool | operator== (const QSslCipher &other) const
bool | operator!= (const QSslCipher &other) const
bool | isNull () const
QString | name () const
int | supportedBits () const
int | usedBits () const
QString | keyExchangeMethod () const
QString | authenticationMethod () const
QString | encryptionMethod () const
QString | protocolString () const
QSsl::SslProtocol | protocol () const
## Friends
class | QSslSocketBackendPrivate

## Constructor & Destructor Documentation

QSslCipher | ( |  | ) |

QSslCipher | ( | const QString & | name,
|  | QSsl::SslProtocol | protocol
| ) |  |

QSslCipher | ( | const QSslCipher & | other | ) |

~QSslCipher | ( |  | ) |

## Member Function Documentation

QSslCipher& operator= | ( | const QSslCipher & | other | ) |

bool operator== | ( | const QSslCipher & | other | ) | const

bool operator!= | ( | const QSslCipher & | other | ) | const `[inline]`

Definition at line 68 of file qsslcipher.h.

    { return !operator==(other); }

bool isNull | ( |  | ) | const

Search for all occurrences

QString name | ( |  | ) | const

Search for all occurrences

int supportedBits | ( |  | ) | const

Search for all occurrences

int usedBits | ( |  | ) | const

Search for all occurrences

QString keyExchangeMethod | ( |  | ) | const

Search for all occurrences

QString authenticationMethod | ( |  | ) | const

Search for all occurrences

QString encryptionMethod | ( |  | ) | const

Search for all occurrences

QString protocolString | ( |  | ) | const

Search for all occurrences

QSsl::SslProtocol protocol | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QSslSocketBackendPrivate `[friend]`

Search for all occurrences

Definition at line 83 of file qsslcipher.h.

The documentation for this class was generated from the following file:

- QtNetwork/qsslcipher.h

QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher
QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher QSslCipher